Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtPaintBuffer Class Reference

List of all members.

## Detailed Description

Paint buffer for Qwt widgets.

QwtPaintBuffer offers a simple way to en/disable double buffering. Double buffering is enabled as default and in general there will be no reason to change this.

Definition at line 26 of file qwt_paint_buffer.h.

## Public Member Functions
| QwtPaintBuffer ()
| QwtPaintBuffer (QPaintDevice *, const QRect &, QPainter *p=NULL)
virtual | ~QwtPaintBuffer ()
void | open (QPaintDevice *, const QRect &, QPainter *p=NULL)
void | close ()
QPainter * | painter ()
const QPaintDevice * | device ()
const QPixmap & | buffer () const
## Static Public Member Functions
void | setEnabled (bool enable)
bool | isEnabled ()
## Protected Member Functions
void | flush ()

## Constructor & Destructor Documentation

QwtPaintBuffer::QwtPaintBuffer | ( |  | ) |

| Default constructor. Definition at line 17 of file qwt_paint_buffer.cpp.

QwtPaintBuffer::QwtPaintBuffer | ( | QPaintDevice * | device,
|  | const QRect & | rect,
|  | QPainter * | painter = `NULL`
| ) |

  | Create an open paint buffer Parameters:
  | device | Device to paint on
  | rect | Rect to paint on
  | painter | Painter to paint on device. In case of 0 QwtPaintBuffer uses an internal painter
See also: QwtPaintBuffer::open() Definition at line 34 of file qwt_paint_buffer.cpp. References open().

QwtPaintBuffer::~QwtPaintBuffer | ( |  | ) | `[virtual]`

| Closes the buffer See also: QwtPaintBuffer::close() Definition at line 47 of file qwt_paint_buffer.cpp. References close().

## Member Function Documentation

const QPixmap& QwtPaintBuffer::buffer | ( |  | ) | const

| Return Buffer used for double buffering. Definition at line 44 of file qwt_paint_buffer.h. Referenced by QwtPlotCanvas::drawCanvas().

void QwtPaintBuffer::close | ( |  | ) |

| Flush the internal pixmap buffer to the device and close the buffer. Definition at line 178 of file qwt_paint_buffer.cpp. References flush(). Referenced by open(), and ~QwtPaintBuffer().

const QPaintDevice * QwtPaintBuffer::device | ( |  | ) |

| Returns: Device to paint on Definition at line 66 of file qwt_paint_buffer.cpp. Referenced by flush().

void QwtPaintBuffer::flush | ( |  | ) | `[protected]`

| Flush the internal pixmap buffer to the device. Definition at line 151 of file qwt_paint_buffer.cpp. References device(). Referenced by close().

bool QwtPaintBuffer::isEnabled | ( |  | ) | `[static]`

| Returns: TRUE if double buffering is enabled, FALSE otherwise. Definition at line 84 of file qwt_paint_buffer.cpp. Referenced by QwtPlotCanvas::drawCanvas(), and open().

void QwtPaintBuffer::open | ( | QPaintDevice * | device,
|  | const QRect & | rect,
|  | QPainter * | painter = `NULL`
| ) |

  | Open the buffer Parameters:
  | device | Device to paint on
  | rect | Rect to paint on
  | painter | Painter to paint on device. In case of 0 QwtPaintBuffer uses an internal painter
Definition at line 97 of file qwt_paint_buffer.cpp. References close(), and isEnabled(). Referenced by QwtPaintBuffer().

QPainter * QwtPaintBuffer::painter | ( |  | ) |

| Returns: Depending on isEnabled() the painter connected to an internal pixmap buffer otherwise the painter connected to the device. Definition at line 58 of file qwt_paint_buffer.cpp. Referenced by QwtPlotCanvas::drawCanvas(), QwtWheel::paintEvent(), QwtThermo::paintEvent(), QwtSlider::paintEvent(), QwtScale::paintEvent(), QwtKnob::paintEvent(), and QwtDial::paintEvent().

void QwtPaintBuffer::setEnabled | ( | bool | enable | ) | `[static]`

| Enable/Disable double buffering. Please note that this is a global switch for all QwtPaintBuffers, but won't change opened buffers. Definition at line 76 of file qwt_paint_buffer.cpp.